OOo calc - pasting data shifts cells down

Bug #11174 reported by Dave Croal on 2004-12-13
8
Affects Status Importance Assigned to Milestone
openoffice.org (Debian)
Fix Released
Unknown
openoffice.org (Ubuntu)
Medium
Chris Halls

Bug Description

When pasting data in calc, cells are shifted down - making a big mess of my
spreadsheets.
Only if I choose Paste Special | Shift Cells, Don't Shift manually it does not
shift cells down.
This is the first time I ever saw this, if it is some kind of configurable
behaviour I can't find an option to change it, assuming it's a bug.

When I copy and paste a cell, it inserts a new cell, shifting all cells
down, instead of pasting.

This problem does not occur when using the stock OpenOffice 1.1.3 binary.

I'm attaching my issue to this bug report because:

a) my problem seems to only occur on Debian builds, also as reported by
the original bug reporter, and

b) I am using the same version as reported, and

c) it may very well be related to the bug reported here.

Dave Croal (dcroal) wrote :

When pasting data in calc, cells are shifted down - making a big mess of my
spreadsheets.
Only if I choose Paste Special | Shift Cells, Don't Shift manually it does not
shift cells down.
This is the first time I ever saw this, if it is some kind of configurable
behaviour I can't find an option to change it, assuming it's a bug.

Dave Croal (dcroal) wrote :

Version 1.1.3-2.3ubuntu4 BTW, sorry

Package: openoffice.org
Version: 1.1.3-3
Followup-For: Bug #284636

I'm confirming that I have both problems that have been mentioned in
this bug report.

C&P shifts cells down one.
C&P over multiple cells only fills the first set of cells.

I note that that with Special Paste, the first problem does not occur.
ie. cells are not shifted. However, second problem continues
regardless.

Also using:
ii openoffice.org-kde 1.1.3-3

-- System Information:
Debian Release: 3.1
  APT prefers testing
  APT policy: (990, 'testing'), (500, 'unstable')
Architecture: i386 (i686)
Kernel: Linux 2.6.9
Locale: LANG=en_NZ, LC_CTYPE=en_NZ (charmap=ISO-8859-1)

Versions of packages openoffice.org depends on:
ii dictionaries-common [openoffi 0.24.2 Common utilities for spelling dict
ii openoffice.org-bin 1.1.3-3 OpenOffice.org office suite binary
ii openoffice.org-debian-files 1.1.3-3+1 Debian specific parts of OpenOffic
ii openoffice.org-l10n-en [openo 1.1.3-3 English (US) language package for
ii ttf-opensymbol 1.1.3-3 The OpenSymbol TrueType font

-- no debconf information

If rather than copy a cell directly, you copy the information in a cell
or something from a terminal then the cell shift does not occur.

If you select a range of cells, and paste with the same data, then the
last cell in the range gets the information. ie. not the first.

Nicholas

Debian Bug Importer (debzilla) wrote :

Message-Id: <E1Cbi9e-0008Kp-Eo@narya>
Date: Tue, 07 Dec 2004 17:25:34 +0100
From: Peter Gervai <email address hidden>
To: Debian Bug Tracking System <email address hidden>
Subject: openoffice.org: [Issue 38079] copy&paste from single cell to multiple cells
 paste only top left cell

Package: openoffice.org
Version: 1.1.3-2
Severity: important

See http://www.openoffice.org/issues/show_bug.cgi?id=38079

Basically
- select single cell
- ctrl-ins
- select different multiple cell range
- shift-ins
- only top left cell is pasted, others remain unchanged

Seems to be Debian/sid dependent, that's why reported here.

-- System Information:
Debian Release: 3.1
  APT prefers unstable
  APT policy: (900, 'unstable')
Architecture: i386 (i686)
Kernel: Linux 2.6.9
Locale: LANG=C, LC_CTYPE=hu_HU (charmap=ISO-8859-2)

Versions of packages openoffice.org depends on:
ii dictionaries-common [openoffi 0.24.1 Common utilities for spelling dict
ii openoffice.org-bin 1.1.3-2 OpenOffice.org office suite binary
ii openoffice.org-debian-files 1.1.3-1+1 Debian specific parts of OpenOffic
ii openoffice.org-l10n-en [openo 1.1.3-2 English (US) language package for
ii ttf-opensymbol 1.1.3-2 The OpenSymbol TrueType font

-- no debconf information

Debian Bug Importer (debzilla) wrote :

Message-ID: <email address hidden>
Date: Thu, 09 Dec 2004 00:49:46 -0800
From: "Paul C. Bryan" <email address hidden>
To: <email address hidden>
Subject: Paste also now inserts cells

When I copy and paste a cell, it inserts a new cell, shifting all cells
down, instead of pasting.

This problem does not occur when using the stock OpenOffice 1.1.3 binary.

I'm attaching my issue to this bug report because:

a) my problem seems to only occur on Debian builds, also as reported by
the original bug reporter, and

b) I am using the same version as reported, and

c) it may very well be related to the bug reported here.

Debian Bug Importer (debzilla) wrote :

Message-ID: <email address hidden>
Date: Tue, 21 Dec 2004 14:17:05 +1300
From: Nicholas Lee <email address hidden>
To: Debian Bug Tracking System <email address hidden>
Subject: openoffice.org: Confirm both problems

Package: openoffice.org
Version: 1.1.3-3
Followup-For: Bug #284636

I'm confirming that I have both problems that have been mentioned in
this bug report.

C&P shifts cells down one.
C&P over multiple cells only fills the first set of cells.

I note that that with Special Paste, the first problem does not occur.
ie. cells are not shifted. However, second problem continues
regardless.

Also using:
ii openoffice.org-kde 1.1.3-3

-- System Information:
Debian Release: 3.1
  APT prefers testing
  APT policy: (990, 'testing'), (500, 'unstable')
Architecture: i386 (i686)
Kernel: Linux 2.6.9
Locale: LANG=en_NZ, LC_CTYPE=en_NZ (charmap=ISO-8859-1)

Versions of packages openoffice.org depends on:
ii dictionaries-common [openoffi 0.24.2 Common utilities for spelling dict
ii openoffice.org-bin 1.1.3-3 OpenOffice.org office suite binary
ii openoffice.org-debian-files 1.1.3-3+1 Debian specific parts of OpenOffic
ii openoffice.org-l10n-en [openo 1.1.3-3 English (US) language package for
ii ttf-opensymbol 1.1.3-3 The OpenSymbol TrueType font

-- no debconf information

Debian Bug Importer (debzilla) wrote :

Message-ID: <20041222025139.GM31215@stateless>
Date: Wed, 22 Dec 2004 15:51:39 +1300
From: Nicholas Lee <email address hidden>
To: <email address hidden>
Subject: Further info

If rather than copy a cell directly, you copy the information in a cell
or something from a terminal then the cell shift does not occur.

If you select a range of cells, and paste with the same data, then the
last cell in the range gets the information. ie. not the first.

Nicholas

retitle 284636 [Issue 38079] Cells shift down when inserting/copying
thanks

1.1.3-4 fixed the one-to-many bug (the original one I reported) is fixed
now.

the shifting-down-when-inserting bug is still present, thus retitling the
bug.

Thanks, maintainer(s)!
Peter

Debian Bug Importer (debzilla) wrote :

Message-ID: <email address hidden>
Date: Thu, 6 Jan 2005 19:23:22 +0100
From: Peter Gervai <email address hidden>
To: <email address hidden>
Cc: <email address hidden>
Subject: partly fixed

retitle 284636 [Issue 38079] Cells shift down when inserting/copying
thanks

1.1.3-4 fixed the one-to-many bug (the original one I reported) is fixed
now.

the shifting-down-when-inserting bug is still present, thus retitling the
bug.

Thanks, maintainer(s)!
Peter

merge 288708 284636
retitle 284636 Cells shift down when copying/pasting
thanks

Doesn't seem relevant to OOo Issue 38079 anymore, and "when
inserting/copying" was misleading.

- Alistair

Debian Bug Importer (debzilla) wrote :

Message-ID: <email address hidden>
Date: Thu, 13 Jan 2005 17:01:07 +0000
From: Alistair K Phipps <email address hidden>
To: <email address hidden>
Subject: merge duplicates

merge 288708 284636
retitle 284636 Cells shift down when copying/pasting
thanks

Doesn't seem relevant to OOo Issue 38079 anymore, and "when
inserting/copying" was misleading.

- Alistair

tag 288708 + pending
thanks

Grüße/Regards,

René
--
 .''`. René Engelhard -- Debian GNU/Linux Developer
 : :' : http://www.debian.org | http://people.debian.org/~rene/
 `. `' <email address hidden> | GnuPG-Key ID: 248AEB73
   `- Fingerprint: 41FA F208 28D4 7CA5 19BB 7AD9 F859 90B0 248A EB73

Debian Bug Importer (debzilla) wrote :

Message-ID: <email address hidden>
Date: Thu, 27 Jan 2005 19:54:08 +0100
From: Rene Engelhard <email address hidden>
To: <email address hidden>
Subject: pending

tag 288708 + pending
thanks

Gr�gards,

Ren�-
 .''`. Ren�ngelhard -- Debian GNU/Linux Developer
 : :' : http://www.debian.org | http://people.debian.org/~rene/
 `. `' <email address hidden> | GnuPG-Key ID: 248AEB73
   `- Fingerprint: 41FA F208 28D4 7CA5 19BB 7AD9 F859 90B0 248A EB73

# Automatically generated email from bts, devscripts version 2.8.10
merge 284636 294601

merge 294601 284636 288708
thanks

Brian C. DeRocher wrote:
> After cutting a cell, when i paste it, the current cell and all cells
> below it are shifted down. This is contrary to the behavior in previous
> versions. The documentation says the data in the current cell will be
> replaced with the pasted data.

This already was reported two times. Please check whether a bug already
is reported before filing one. Anyway, will be fixed in the next
packages release.

Grüße/Regards,

René
--
 .''`. René Engelhard -- Debian GNU/Linux Developer
 : :' : http://www.debian.org | http://people.debian.org/~rene/
 `. `' <email address hidden> | GnuPG-Key ID: 248AEB73
   `- Fingerprint: 41FA F208 28D4 7CA5 19BB 7AD9 F859 90B0 248A EB73

Debian Bug Importer (debzilla) wrote :

Message-Id: <email address hidden>
Date: Thu, 10 Feb 2005 18:16:02 +0000
From: Chris Halls <email address hidden>
To: <email address hidden>
Subject: merging 284636 294601

# Automatically generated email from bts, devscripts version 2.8.10
merge 284636 294601

Debian Bug Importer (debzilla) wrote :

Message-ID: <email address hidden>
Date: Thu, 10 Feb 2005 19:18:48 +0100
From: Rene Engelhard <email address hidden>
To: "Brian C. DeRocher" <email address hidden>,
 <email address hidden>
Cc: <email address hidden>
Subject: Re: Bug#294601: openoffice.org: pasting shifts cells down

merge 294601 284636 288708
thanks

Brian C. DeRocher wrote:
> After cutting a cell, when i paste it, the current cell and all cells
> below it are shifted down. This is contrary to the behavior in previous
> versions. The documentation says the data in the current cell will be
> replaced with the pasted data.

This already was reported two times. Please check whether a bug already
is reported before filing one. Anyway, will be fixed in the next
packages release.

Gr�gards,

Ren�-
 .''`. Ren�ngelhard -- Debian GNU/Linux Developer
 : :' : http://www.debian.org | http://people.debian.org/~rene/
 `. `' <email address hidden> | GnuPG-Key ID: 248AEB73
   `- Fingerprint: 41FA F208 28D4 7CA5 19BB 7AD9 F859 90B0 248A EB73

Download full text (18.1 KiB)

Source: openoffice.org
Source-Version: 1.1.3-5

We believe that the bug you reported is fixed in the latest version of
openoffice.org, which is due to be installed in the Debian FTP archive:

openoffice.org-bin_1.1.3-5_i386.deb
  to pool/main/o/openoffice.org/openoffice.org-bin_1.1.3-5_i386.deb
openoffice.org-dev_1.1.3-5_i386.deb
  to pool/main/o/openoffice.org/openoffice.org-dev_1.1.3-5_i386.deb
openoffice.org-evolution_1.1.3-5_i386.deb
  to pool/main/o/openoffice.org/openoffice.org-evolution_1.1.3-5_i386.deb
openoffice.org-gnomevfs_1.1.3-5_i386.deb
  to pool/main/o/openoffice.org/openoffice.org-gnomevfs_1.1.3-5_i386.deb
openoffice.org-gtk-gnome_1.1.3-5_i386.deb
  to pool/main/o/openoffice.org/openoffice.org-gtk-gnome_1.1.3-5_i386.deb
openoffice.org-kde_1.1.3-5_i386.deb
  to pool/main/o/openoffice.org/openoffice.org-kde_1.1.3-5_i386.deb
openoffice.org-l10n-af_1.1.3-5_all.deb
  to pool/main/o/openoffice.org/openoffice.org-l10n-af_1.1.3-5_all.deb
openoffice.org-l10n-ar_1.1.3-5_all.deb
  to pool/main/o/openoffice.org/openoffice.org-l10n-ar_1.1.3-5_all.deb
openoffice.org-l10n-ca_1.1.3-5_all.deb
  to pool/main/o/openoffice.org/openoffice.org-l10n-ca_1.1.3-5_all.deb
openoffice.org-l10n-cs_1.1.3-5_all.deb
  to pool/main/o/openoffice.org/openoffice.org-l10n-cs_1.1.3-5_all.deb
openoffice.org-l10n-cy_1.1.3-5_all.deb
  to pool/main/o/openoffice.org/openoffice.org-l10n-cy_1.1.3-5_all.deb
openoffice.org-l10n-da_1.1.3-5_all.deb
  to pool/main/o/openoffice.org/openoffice.org-l10n-da_1.1.3-5_all.deb
openoffice.org-l10n-de_1.1.3-5_all.deb
  to pool/main/o/openoffice.org/openoffice.org-l10n-de_1.1.3-5_all.deb
openoffice.org-l10n-el_1.1.3-5_all.deb
  to pool/main/o/openoffice.org/openoffice.org-l10n-el_1.1.3-5_all.deb
openoffice.org-l10n-en_1.1.3-5_all.deb
  to pool/main/o/openoffice.org/openoffice.org-l10n-en_1.1.3-5_all.deb
openoffice.org-l10n-es_1.1.3-5_all.deb
  to pool/main/o/openoffice.org/openoffice.org-l10n-es_1.1.3-5_all.deb
openoffice.org-l10n-et_1.1.3-5_all.deb
  to pool/main/o/openoffice.org/openoffice.org-l10n-et_1.1.3-5_all.deb
openoffice.org-l10n-eu_1.1.3-5_all.deb
  to pool/main/o/openoffice.org/openoffice.org-l10n-eu_1.1.3-5_all.deb
openoffice.org-l10n-fi_1.1.3-5_all.deb
  to pool/main/o/openoffice.org/openoffice.org-l10n-fi_1.1.3-5_all.deb
openoffice.org-l10n-fr_1.1.3-5_all.deb
  to pool/main/o/openoffice.org/openoffice.org-l10n-fr_1.1.3-5_all.deb
openoffice.org-l10n-gl_1.1.3-5_all.deb
  to pool/main/o/openoffice.org/openoffice.org-l10n-gl_1.1.3-5_all.deb
openoffice.org-l10n-he_1.1.3-5_all.deb
  to pool/main/o/openoffice.org/openoffice.org-l10n-he_1.1.3-5_all.deb
openoffice.org-l10n-hi_1.1.3-5_all.deb
  to pool/main/o/openoffice.org/openoffice.org-l10n-hi_1.1.3-5_all.deb
openoffice.org-l10n-hu_1.1.3-5_all.deb
  to pool/main/o/openoffice.org/openoffice.org-l10n-hu_1.1.3-5_all.deb
openoffice.org-l10n-it_1.1.3-5_all.deb
  to pool/main/o/openoffice.org/openoffice.org-l10n-it_1.1.3-5_all.deb
openoffice.org-l10n-ja_1.1.3-5_all.deb
  to pool/main/o/openoffice.org/openoffice.org-l10n-ja_1.1.3-5_all.deb
openoffice.org-l10n-kn_1.1.3-5_all.deb
  to pool/main/o/openoffice.org/openoffice.org-l10n-kn_1.1.3-5_all.deb
openoffice.org-l10n-ko_1.1.3-5_all.deb
 ...

Debian Bug Importer (debzilla) wrote :
Download full text (18.3 KiB)

Message-Id: <email address hidden>
Date: Fri, 18 Feb 2005 07:19:52 -0500
From: Chris Halls <email address hidden>
To: <email address hidden>
Subject: Bug#288708: fixed in openoffice.org 1.1.3-5

Source: openoffice.org
Source-Version: 1.1.3-5

We believe that the bug you reported is fixed in the latest version of
openoffice.org, which is due to be installed in the Debian FTP archive:

openoffice.org-bin_1.1.3-5_i386.deb
  to pool/main/o/openoffice.org/openoffice.org-bin_1.1.3-5_i386.deb
openoffice.org-dev_1.1.3-5_i386.deb
  to pool/main/o/openoffice.org/openoffice.org-dev_1.1.3-5_i386.deb
openoffice.org-evolution_1.1.3-5_i386.deb
  to pool/main/o/openoffice.org/openoffice.org-evolution_1.1.3-5_i386.deb
openoffice.org-gnomevfs_1.1.3-5_i386.deb
  to pool/main/o/openoffice.org/openoffice.org-gnomevfs_1.1.3-5_i386.deb
openoffice.org-gtk-gnome_1.1.3-5_i386.deb
  to pool/main/o/openoffice.org/openoffice.org-gtk-gnome_1.1.3-5_i386.deb
openoffice.org-kde_1.1.3-5_i386.deb
  to pool/main/o/openoffice.org/openoffice.org-kde_1.1.3-5_i386.deb
openoffice.org-l10n-af_1.1.3-5_all.deb
  to pool/main/o/openoffice.org/openoffice.org-l10n-af_1.1.3-5_all.deb
openoffice.org-l10n-ar_1.1.3-5_all.deb
  to pool/main/o/openoffice.org/openoffice.org-l10n-ar_1.1.3-5_all.deb
openoffice.org-l10n-ca_1.1.3-5_all.deb
  to pool/main/o/openoffice.org/openoffice.org-l10n-ca_1.1.3-5_all.deb
openoffice.org-l10n-cs_1.1.3-5_all.deb
  to pool/main/o/openoffice.org/openoffice.org-l10n-cs_1.1.3-5_all.deb
openoffice.org-l10n-cy_1.1.3-5_all.deb
  to pool/main/o/openoffice.org/openoffice.org-l10n-cy_1.1.3-5_all.deb
openoffice.org-l10n-da_1.1.3-5_all.deb
  to pool/main/o/openoffice.org/openoffice.org-l10n-da_1.1.3-5_all.deb
openoffice.org-l10n-de_1.1.3-5_all.deb
  to pool/main/o/openoffice.org/openoffice.org-l10n-de_1.1.3-5_all.deb
openoffice.org-l10n-el_1.1.3-5_all.deb
  to pool/main/o/openoffice.org/openoffice.org-l10n-el_1.1.3-5_all.deb
openoffice.org-l10n-en_1.1.3-5_all.deb
  to pool/main/o/openoffice.org/openoffice.org-l10n-en_1.1.3-5_all.deb
openoffice.org-l10n-es_1.1.3-5_all.deb
  to pool/main/o/openoffice.org/openoffice.org-l10n-es_1.1.3-5_all.deb
openoffice.org-l10n-et_1.1.3-5_all.deb
  to pool/main/o/openoffice.org/openoffice.org-l10n-et_1.1.3-5_all.deb
openoffice.org-l10n-eu_1.1.3-5_all.deb
  to pool/main/o/openoffice.org/openoffice.org-l10n-eu_1.1.3-5_all.deb
openoffice.org-l10n-fi_1.1.3-5_all.deb
  to pool/main/o/openoffice.org/openoffice.org-l10n-fi_1.1.3-5_all.deb
openoffice.org-l10n-fr_1.1.3-5_all.deb
  to pool/main/o/openoffice.org/openoffice.org-l10n-fr_1.1.3-5_all.deb
openoffice.org-l10n-gl_1.1.3-5_all.deb
  to pool/main/o/openoffice.org/openoffice.org-l10n-gl_1.1.3-5_all.deb
openoffice.org-l10n-he_1.1.3-5_all.deb
  to pool/main/o/openoffice.org/openoffice.org-l10n-he_1.1.3-5_all.deb
openoffice.org-l10n-hi_1.1.3-5_all.deb
  to pool/main/o/openoffice.org/openoffice.org-l10n-hi_1.1.3-5_all.deb
openoffice.org-l10n-hu_1.1.3-5_all.deb
  to pool/main/o/openoffice.org/openoffice.org-l10n-hu_1.1.3-5_all.deb
openoffice.org-l10n-it_1.1.3-5_all.deb
  to pool/main/o/openoffice.org/openoffice.org-l10n-it_1.1.3-5_all.deb
openoffice.org-l10n-ja_1.1.3-5_all.deb
  to poo...

Matthias Klose (doko) wrote :

fixed in 1.1.3-7.8ubuntu1

Changed in openoffice.org:
status: Unknown → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.